| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
Gaudi::Math::Lomont< float > Class Template Reference

the specialization for float numbers More...

`#include <GaudiKernel/Lomont.h>`

Inheritance diagram for Gaudi::Math::Lomont< float >:
[legend]
Collaboration diagram for Gaudi::Math::Lomont< float >:
[legend]

## Public Member Functions
| Lomont (const unsigned short ulps)
| constructor from ULPS: More...
bool | operator() (const float a, const float b) const
| the only one important method: More...

## Private Member Functions
| Lomont ()
| the default constructor is disabled More...

## Private Attributes
unsigned short | m_ulps
| the precision in "units in last place" More...

## Detailed Description

### template<>
class Gaudi::Math::Lomont< float >

the specialization for float numbers

Gaudi::Math::Lomont<float> compare ( 100 ) ;
const float a = ... ;
const float b = ... ;
const bool equal = compare ( a , b ) ;

See also
  class Gaudi::Math::Lomont

Attention
  The default precision is not specified!

See also
  Gaudi::Math::lomont_compare_float

Author
  Vanya BELYAEV Ivan..nosp@m.Bely.nosp@m.aev@n.nosp@m.ikhe.nosp@m.f.nl

Date
  2009-10-22

Definition at line 154 of file Lomont.h.

## Constructor & Destructor Documentation

Gaudi::Math::Lomont< float >::Lomont | ( | const unsigned short | ulps | ) |
| inline

constructor from ULPS:

Definition at line 160 of file Lomont.h.

160 : m_ulps ( ulps ) {}
Gaudi::Math::Lomont< float >::m_ulps
unsigned short m_ulps
the precision in "units in last place"
Definition: Lomont.h:176

Gaudi::Math::Lomont< float >::Lomont | ( |  | ) |
| private

the default constructor is disabled

## Member Function Documentation

bool Gaudi::Math::Lomont< float >::operator() | ( | const float | a,
|  | const float | b
| ) |  | const
| inline

the only one important method:

Definition at line 165 of file Lomont.h.

166 { return lomont_compare_float ( a , b , m_ulps ) ; }
Gaudi::Math::Lomont< float >::m_ulps
unsigned short m_ulps
the precision in "units in last place"
Definition: Lomont.h:176
Gaudi::Math::lomont_compare_float
GAUDI_API bool lomont_compare_float(const float af, const float bf, const unsigned short maxULPs)
equality comparison of float numbers using as the metric the maximal number of Units in the Last Plac...
Definition: Lomont.cpp:193

## Member Data Documentation

unsigned short Gaudi::Math::Lomont< float >::m_ulps
| private

the precision in "units in last place"

Definition at line 176 of file Lomont.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/Lomont.h